package com.acme;

import org.jboss.arquillian.container.test.api.Deployment;
import org.jboss.arquillian.junit.Arquillian;
import org.jboss.arquillian.spring.integration.test.annotation.SpringConfiguration;
import org.jboss.shrinkwrap.api.Archive;
import org.jboss.shrinkwrap.api.ShrinkWrap;
import org.jboss.shrinkwrap.api.spec.WebArchive;
import org.junit.Assert;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;

@RunWith(Arquillian.class)
@SpringConfiguration("applicationContext.xml")
public class MyComponentIntegrationTest {

    @Deployment
    public static Archive getDeployment() {
        return ShrinkWrap.create(WebArchive.class, "acme.war")
                .addClass(MyComponent.class);
    }

    @Autowired
    public MyComponent myComponent;

    @Test
    public void shouldGetName() {
        System.out.println(myComponent.getName());
        Assert.assertNotNull(myComponent.getName());
    }

}
